Package org.eclipse.core.databinding.bind.steps

# Interface SetCommonSteps.SetWriteConfigStep<F,T,THIS extends SetCommonSteps.SetWriteConfigStep<F,T,THIS>>

Type Parameters:
  `F` - type of the from-end observable
  `T` - type of the to-end observable
  `THIS` - self type for this step

All Superinterfaces:
  `CommonSteps.WriteConfigStep<F,T,THIS>`, `Step`

All Known Subinterfaces:
  `SetOneWaySteps.SetOneWayBindWriteConfigStep<F,T,THIS>`, `SetTwoWaySteps.SetTwoWayBindConfigStep<F,T,THIS>`, `SetTwoWaySteps.SetTwoWayConfigStep<F,T,THIS>`, `SetTwoWaySteps.SetTwoWayConvertToStep<F,THIS>`

Enclosing class:
  `SetCommonSteps`

public static interface SetCommonSteps.SetWriteConfigStep<F,T,THIS extends SetCommonSteps.SetWriteConfigStep<F,T,THIS>> extends CommonSteps.WriteConfigStep<F,T,THIS>
Step for configuring the end of a binding where data is written. This is the to-end for a one-way binding and both ends for a two-way binding. Some kinds of observables allow configuration of validators and special update policies.

Restriction:

## Method Summary

### Methods inherited from interface org.eclipse.core.databinding.bind.steps.CommonSteps.WriteConfigStep

`updateOnlyOnRequest`